package jp.co.spiritek.smapushsample3;

import android.app.Application;
import android.content.Intent;

import jp.smapush.SPKNotification;
import jp.smapush.SPKNotificationHandler;
import jp.smapush.SPKNotificationManager;

/**
 * SMA PUSHサンプル3
 * <p>
 *     アプリ独自のリッチ通知画面を表示します。
 * </p>
 */
public class MyApplication extends Application {

    @Override
    public void onCreate() {
        super.onCreate();

        // アプリID/共有パスワードを設定します
        SPKNotificationManager.initialize(this, "00000000-0000-0000-0000-000000000000", "XXXXXXXXXXXXXXXX", BuildConfig.DEBUG);

        // GCMのプロジェクト番号をSender IDとして設定します
        SPKNotificationManager.getInstance().setSenderId("000000000000");

        // 詳細ログ出力を有効化します
        SPKNotificationManager.getInstance().enableVerboseLog(BuildConfig.DEBUG);

        // 通知ハンドラをオーバーライドします
        SPKNotificationManager.getInstance().setNotificationHandler(new SPKNotificationHandler() {
            @Override
            protected void onRequestSecondDialog(SPKNotification notification) {
                // 通知オブジェクトを渡してリッチ通知画面に遷移する
                Intent intent = NotificationActivity.makeIntent(getContext(), notification);
                intent.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP | Intent.FLAG_ACTIVITY_NEW_TASK);
                startActivity(intent);
            }
        });
    }

}
