package jp.co.spiritek.smapushsample3;

import android.content.Context;
import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.widget.Button;
import android.widget.TextView;

import jp.smapush.SPKNotification;

public class NotificationActivity extends AppCompatActivity {

    private static final String EXTRA_NOTIFICATION = "notification";

    public static Intent makeIntent(Context context, SPKNotification notification) {
        Intent intent = new Intent(context, NotificationActivity.class);
        intent.putExtra(EXTRA_NOTIFICATION, notification.toBundle());
        return intent;
    }

    @Override
    @SuppressWarnings("ConstantConditions")
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_notification);

        final SPKNotification n = new SPKNotification(getIntent().getBundleExtra(EXTRA_NOTIFICATION));

        // 詳細タイトル
        TextView title = (TextView) findViewById(R.id.notification_title);
        title.setText(n.getDetailTitle());

        // 詳細URL
        WebView webView = (WebView) findViewById(R.id.notification_webview);
        webView.clearCache(true);
        webView.setScrollBarStyle(View.SCROLLBARS_INSIDE_OVERLAY);
        WebSettings ws = webView.getSettings();
        ws.setUseWideViewPort(true);
        ws.setLoadWithOverviewMode(true);
        webView.loadUrl(n.getDetailUrl());

        // 確認ボタン
        Button accept = (Button) findViewById(R.id.notification_accept_button);
        accept.setText(n.getDetailButtonLabel());
        accept.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // URLアクセス数集計
                n.acceptSecondDialog();
                finish();
            }
        });

        // キャンセルボタン
        Button cancel = (Button) findViewById(R.id.notification_cancel_button);
        cancel.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // キャンセル数集計
                n.cancelSecondDialog();
                finish();
            }
        });
    }
}
